#!/bin/sh
#
# HighPoint ATA RAID Management Software Installation Script
#

HERE=`pwd`

case $1 in
-i) 
	HPTDEL=`ps -cx | grep hptraid`
	if [ "x$HPTDEL" != x ] ; then
		  echo "The software is running. Please stop it first."
		  exit 1
	fi
	if [ ! -f $HERE/hptraid.tar.gz ] ; then
		echo "Software package not found"
		exit 1
	fi

	if [ -f /usr/bin/hptraid ] ; then
		while true
		do
			echo -n "The software has been installed. Do you want reinstall it?(Y/N)"
		 	read yorn
		 	case $yorn in
		 	[yY])
		 		break
		 		;;
		 	[nN])
		 		exit 1
		 		;;
		 	*)
		 		continue
		 		;;
		 	esac
		done
		rm -f  /usr/bin/hptraid
		rm -f  /root/Desktop/hptraid
		rm -f  /usr/local/share/applnk/Applications/hptraid.desktop

		rm -rf /usr/bin/res
		rm -rf /usr/bin/help
		rm -f  /usr/bin/hptsvr
		
		rm -f  /usr/bin/hptinstall.sh 

		/usr/local/etc/rc.d/hptdaemon.sh stop
		rm -f  /usr/local/etc/rc.d/hptdaemon.sh
	fi
	
	cd /tmp
	tar -xzvf $HERE/hptraid.tar.gz >/dev/null
	
	cp -f  hptraid 	/usr/bin/hptraid
	chmod  544	/usr/bin/hptraid
	mkdir -p /root/Desktop/
	ln -s  /usr/bin/hptraid /root/Desktop/hptraid
	mkdir -p /usr/local/share/applnk/Applications
	cp -f hptraid.desktop /usr/local/share/applnk/Applications/
	
	cp -rf res		/usr/bin/
	cp -rf help		/usr/bin/
	cp -f  hptsvr		/usr/bin/
	chmod  755	/usr/bin/hptsvr
	
	cp -f  $HERE/hptinstall.sh /usr/bin/

	mkdir -p /usr/local/etc/rc.d
	cp -f hptdaemon.sh /usr/local/etc/rc.d/
	chmod 555 /usr/local/etc/rc.d/hptdaemon.sh

	rm -f  hptraid	      
	rm -f  hptraid.desktop
	rm -f  hptsvr
	rm -rf res
	rm -rf help
	rm -f  hptdaemon.sh

	/usr/local/etc/rc.d/hptdaemon.sh start
	echo "HighPoint ATA RAID Management Software has been installed successfully!"
	cd $HERE
	;;

-u)
	HPTDEL=`ps -cx | grep hptraid`
	if [ "x$HPTDEL" != x ] ; then
		  echo "The software is running. Please stop it first."
		  exit 1
	fi
	if [ -f /usr/bin/hptraid ] ; then
		while true
		do
			echo -n "Are you sure to uninstall HighPoint ATA RAID Management Software?(Y/N)"
			read yesorno
			case $yesorno in
			[yY])
				rm -rf /usr/bin/hptraid
				rm -rf /usr/bin/res
				rm -rf /usr/bin/help
				rm -f  /usr/bin/hptsvr
				rm -f  /usr/bin/hptinstall.sh	 
	
				rm -f  /usr/local/share/applnk/Applications/hptraid.desktop
				rm -f  /root/Desktop/hptraid
	
				/usr/local/etc/rc.d/hptdaemon.sh stop >/dev/null 2>/dev/null
				rm -f  /usr/local/etc/rc.d/hptdaemon.sh
				
				echo "Uninstall fininshed!" 
				break
				;;
			[nN])
				break
				;;
			*)
				continue
				;;
			esac
		done 
	fi	
    ;;
*)
	echo "Usage: hptinstall.sh { -i | -u }"
	exit 1
	;; 
esac
exit 0
